Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMBrowser.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMBrowser.java	(revision 686)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMBrowser.java	(revision 687)
@@ -55,8 +55,8 @@
 import org.txm.objects.Page;
 import org.txm.objects.Text;
 import org.txm.rcp.IImageKeys;
-import org.txm.rcp.RCPMessages;
 import org.txm.rcp.StatusLine;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.searchengine.cqp.corpus.Corpus;
 
 /**
@@ -206,7 +206,7 @@
 			String editionName = corpus.getDefaultEdition();
 			currentPage = firstText.getEdition(editionName).getFirstPage(); 
 			if (currentPage == null) {
-				StatusLine.setMessage(RCPMessages.TxmBrowser_11);
+				StatusLine.setMessage(TXMUIMessages.TxmBrowser_11);
 				return;
 			}
 			this.setEdition(firstText.getEdition(editionName)); 
@@ -226,7 +226,7 @@
 		if (lastText != null) {
 			currentPage = lastText.getEdition(b.getDefaultEdition()).getFirstPage(); 
 			if (currentPage == null) {
-				StatusLine.setMessage(RCPMessages.TxmBrowser_12);
+				StatusLine.setMessage(TXMUIMessages.TxmBrowser_12);
 				return;
 			}
 			this.setEdition(lastText.getEdition(b.getDefaultEdition())); 
@@ -313,7 +313,7 @@
 				currentPage = previousText.getEdition(editionName).getFirstPage();
 			}
 			if (currentPage == null) {
-				StatusLine.setMessage(RCPMessages.TxmBrowser_11);
+				StatusLine.setMessage(TXMUIMessages.TxmBrowser_11);
 				return;
 			}
 			this.setEdition(previousText.getEdition(editionName)); 
@@ -334,7 +334,7 @@
 		if (nextText != null) {
 			currentPage = nextText.getEdition(b.getDefaultEdition()).getFirstPage(); 
 			if (currentPage == null) {
-				StatusLine.setMessage(RCPMessages.TxmBrowser_12);
+				StatusLine.setMessage(TXMUIMessages.TxmBrowser_12);
 				return;
 			}
 			this.setEdition(nextText.getEdition(b.getDefaultEdition())); 
@@ -352,7 +352,7 @@
 		try {
 			super.createPartControl(parent);
 		} catch (Exception e) {
-			System.err.println(RCPMessages.TxmBrowser_10);
+			System.err.println(TXMUIMessages.TxmBrowser_10);
 			return;
 		}
 		
@@ -397,17 +397,17 @@
 		firstText.setImage(IImageKeys.getImage(IImageKeys.CTRLREWINDSTART));
 		firstText.setToolTipText("|<<");
 		previousText.setImage(IImageKeys.getImage(IImageKeys.CTRLREWIND));
-		previousText.setToolTipText(RCPMessages.TxmBrowser_9);
+		previousText.setToolTipText(TXMUIMessages.TxmBrowser_9);
 		first.setImage(IImageKeys.getImage(IImageKeys.CTRLSTART)); 
-		first.setToolTipText(RCPMessages.TxmBrowser_0);
+		first.setToolTipText(TXMUIMessages.common_beginning);
 		previous.setImage(IImageKeys.getImage(IImageKeys.CTRLREVERSE));
-		previous.setToolTipText(RCPMessages.TxmBrowser_5);
+		previous.setToolTipText(TXMUIMessages.TxmBrowser_5);
 		next.setImage(IImageKeys.getImage(IImageKeys.CTRLPLAY));
-		next.setToolTipText(RCPMessages.TxmBrowser_6);
+		next.setToolTipText(TXMUIMessages.TxmBrowser_6);
 		last.setImage(IImageKeys.getImage(IImageKeys.CTRLEND));
-		last.setToolTipText(RCPMessages.TxmBrowser_7);
+		last.setToolTipText(TXMUIMessages.common_end);
 		nextText.setImage(IImageKeys.getImage(IImageKeys.CTRLFASTFORWARD));
-		nextText.setToolTipText(RCPMessages.TxmBrowser_8);
+		nextText.setToolTipText(TXMUIMessages.TxmBrowser_8);
 		lastText.setImage(IImageKeys.getImage(IImageKeys.CTRLFASTFORWARDEND));
 		lastText.setToolTipText(">>|");
 		
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/UISection.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/UISection.java	(revision 686)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/UISection.java	(revision 687)
@@ -11,7 +11,7 @@
 import org.eclipse.ui.forms.widgets.TableWrapData;
 import org.eclipse.ui.forms.widgets.TableWrapLayout;
 import org.txm.objects.BaseParameters;
-import org.txm.rcp.RCPMessages;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.w3c.dom.Element;
 
 public class UISection extends ImportEditorSection {
@@ -22,7 +22,7 @@
 	public UISection(FormToolkit toolkit2, ScrolledForm form2, Composite parent, int style) {
 		super(toolkit2, form2, parent, style);
 
-		this.section.setText(RCPMessages.CorpusPage_63);
+		this.section.setText(TXMUIMessages.CorpusPage_63);
 		TableWrapLayout layout = new TableWrapLayout();
 		layout.makeColumnsEqualWidth = true;
 		this.section.setLayout(layout);
@@ -40,8 +40,8 @@
 		sectionClient.setLayout(slayout);
 		this.section.setClient(sectionClient);
 
-		Label tmpLabel = toolkit.createLabel(sectionClient, RCPMessages.CorpusPage_64);
-		tmpLabel.setToolTipText(RCPMessages.CorpusPage_65);
+		Label tmpLabel = toolkit.createLabel(sectionClient, TXMUIMessages.CorpusPage_64);
+		tmpLabel.setToolTipText(TXMUIMessages.CorpusPage_65);
 		tmpLabel.setLayoutData(getLabelGridData());
 
 		structLimitsText = toolkit.createText(sectionClient, "text", SWT.BORDER); //$NON-NLS-1$
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/InfosSection.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/InfosSection.java	(revision 686)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/InfosSection.java	(revision 687)
@@ -14,7 +14,7 @@
 import org.eclipse.ui.forms.widgets.TableWrapData;
 import org.eclipse.ui.forms.widgets.TableWrapLayout;
 import org.txm.objects.BaseParameters;
-import org.txm.rcp.RCPMessages;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.utils.logger.Log;
 import org.w3c.dom.Element;
 
@@ -29,7 +29,7 @@
 		super(toolkit2, form2, parent, style);
 		
 		//this = toolkit.createSection(form.getBody(), ExpandableComposite.TITLE_BAR|ExpandableComposite.TWISTIE);
-		this.section.setText(RCPMessages.CorpusPage_7);
+		this.section.setText(TXMUIMessages.CorpusPage_7);
 		section.setExpanded(true);
 		
 		TableWrapLayout layout = new TableWrapLayout();
@@ -48,11 +48,11 @@
 		sectionClient.setLayout(slayout);
 		this.section.setClient(sectionClient);
 
-		corpusNameLabel = toolkit.createLabel(sectionClient, RCPMessages.CorpusPage_8, SWT.WRAP);
+		corpusNameLabel = toolkit.createLabel(sectionClient, TXMUIMessages.CorpusPage_8, SWT.WRAP);
 		TableWrapData gdata = new TableWrapData();
 		corpusNameLabel.setLayoutData(gdata);
 
-		Label label = toolkit.createLabel(sectionClient, RCPMessages.CorpusPage_9, SWT.WRAP);
+		Label label = toolkit.createLabel(sectionClient, TXMUIMessages.CorpusPage_9, SWT.WRAP);
 		gdata = new TableWrapData();
 		label.setLayoutData(gdata);
 
@@ -69,7 +69,7 @@
 
 	@Override
 	public void update(BaseParameters params) {
-		section.setText(RCPMessages.MainPage_3+" "+params.rootDir); //$NON-NLS-1$
+		section.setText(TXMUIMessages.MainPage_3+" "+params.rootDir); //$NON-NLS-1$
 		
 		corpusText.setText(params.getCorpusName());
 		
@@ -85,13 +85,13 @@
 	@Override
 	public boolean save(BaseParameters params) {
 		if (corpusText.getText().trim().length() == 0) {
-			System.out.println(RCPMessages.CorpusPage_53);
+			System.out.println(TXMUIMessages.CorpusPage_53);
 			return false;
 		}
 		params.description = "<pre><br/>"+descText.getText().replace("\n", "<br/>")+"</pre>"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
 		//System.out.println("SAVE DESC WITH: '"+params.description+"'");
 		if (!corpusText.getText().matches("[A-Z][-A-Z0-9]{1,20}")) { //$NON-NLS-1$
-			System.out.println(RCPMessages.CorpusPage_93+corpusText.getText());
+			System.out.println(TXMUIMessages.CorpusPage_93+corpusText.getText());
 			return false;
 		}
 		
@@ -114,7 +114,7 @@
 		String corpusname = corpusText.getText();
 		Log.warning("Checking corpus name validity with '[A-Z][-A-Z0-9]+': "+corpusname);
 		if (!corpusname.matches("[A-Z][-A-Z0-9]+")) { //$NON-NLS-1$
-			System.out.println(RCPMessages.CorpusPage_93+corpusname);
+			System.out.println(TXMUIMessages.CorpusPage_93+corpusname);
 
 			Device device = Display.getCurrent ();
 			Color red = new Color (device, 255, 0, 0);
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/FrontXSLSection.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/FrontXSLSection.java	(revision 686)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/FrontXSLSection.java	(revision 687)
@@ -27,9 +27,9 @@
 import org.txm.Toolbox;
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.objects.BaseParameters;
-import org.txm.rcp.RCPMessages;
 import org.txm.rcp.editors.TableKeyListener;
 import org.txm.rcp.handlers.files.EditFile;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.swt.dialog.LastOpened;
 import org.txm.rcp.swt.dialog.MultipleValueDialog;
 import org.txm.rcp.swt.provider.ElementColumnLabelProvider;
@@ -53,7 +53,7 @@
 		super(toolkit2, form2, parent, style);
 		this.params = params2;
 
-		this.section.setText(RCPMessages.MainPage_18);
+		this.section.setText(TXMUIMessages.MainPage_18);
 		TableWrapLayout layout = new TableWrapLayout();
 		layout.makeColumnsEqualWidth = true;
 		this.section.setLayout(layout);
@@ -104,7 +104,7 @@
 			}
 		});
 
-		Button editXSLTButton = toolkit.createButton(sectionClient, RCPMessages.CorpusPage_61, SWT.PUSH);
+		Button editXSLTButton = toolkit.createButton(sectionClient, TXMUIMessages.CorpusPage_61, SWT.PUSH);
 		editXSLTButton.setLayoutData(getButtonLayoutData());
 		editXSLTButton.addSelectionListener(new SelectionListener() {
 			@Override
@@ -122,7 +122,7 @@
 		Label l = toolkit.createLabel(sectionClient, ""); // empty cell //$NON-NLS-1$
 		l.setLayoutData(new TableWrapData(TableWrapData.FILL_GRAB, TableWrapData.MIDDLE));
 
-		Button addButton = toolkit.createButton(sectionClient, RCPMessages.CorpusPage_4, SWT.PUSH);
+		Button addButton = toolkit.createButton(sectionClient, TXMUIMessages.CorpusPage_4, SWT.PUSH);
 		addButton.setLayoutData(getButtonLayoutData());
 		addButton.addSelectionListener(new SelectionListener() {
 			@Override
@@ -135,7 +135,7 @@
 				LinkedHashMap<String, String> values = new LinkedHashMap<String, String>();
 				values.put("name", ""); //$NON-NLS-1$ //$NON-NLS-2$
 				values.put("value", "");			 //$NON-NLS-1$ //$NON-NLS-2$
-				MultipleValueDialog dlg = new MultipleValueDialog(form.getShell(), RCPMessages.CorpusPage_4, values);
+				MultipleValueDialog dlg = new MultipleValueDialog(form.getShell(), TXMUIMessages.CorpusPage_4, values);
 				if (dlg.open() == Window.OK) {
 					params.addXsltParameter(params.getCorpusElement(), values.get("name"), values.get("value")); //$NON-NLS-1$ //$NON-NLS-2$
 					update(params);
@@ -143,7 +143,7 @@
 			}
 		});
 
-		Button removeButton = toolkit.createButton(sectionClient, RCPMessages.CorpusPage_6, SWT.PUSH);
+		Button removeButton = toolkit.createButton(sectionClient, TXMUIMessages.CorpusPage_6, SWT.PUSH);
 		TableWrapData td = getButtonLayoutData();
 		td.colspan = 3;
 		removeButton.setLayoutData(td);
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/LangSection.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/LangSection.java	(revision 686)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/LangSection.java	(revision 687)
@@ -15,7 +15,7 @@
 import org.eclipse.ui.forms.widgets.TableWrapData;
 import org.eclipse.ui.forms.widgets.TableWrapLayout;
 import org.txm.objects.BaseParameters;
-import org.txm.rcp.RCPMessages;
+import org.txm.rcp.messages.TXMUIMessages;
 
 public class LangSection extends ImportEditorSection {
 	
@@ -30,7 +30,7 @@
 	public LangSection(FormToolkit toolkit2, ScrolledForm form2, Composite parent, int style) {
 		super(toolkit2, form2, parent, style);
 
-		this.section.setText(RCPMessages.MainPage_20);
+		this.section.setText(TXMUIMessages.MainPage_20);
 		TableWrapLayout layout = new TableWrapLayout();
 		layout.makeColumnsEqualWidth = true;
 		this.section.setLayout(layout);
@@ -50,13 +50,13 @@
 		sectionClient.setLayout(slayout);
 		this.section.setClient(sectionClient);
 
-		btnSelectAnnotate = toolkit.createButton(sectionClient, RCPMessages.CorpusPage_26, SWT.CHECK); 
+		btnSelectAnnotate = toolkit.createButton(sectionClient, TXMUIMessages.CorpusPage_26, SWT.CHECK); 
 		toolkit.createLabel(sectionClient, ""); //$NON-NLS-1$
 
-		btnGuessLang = toolkit.createButton(sectionClient, RCPMessages.ImportDialog_16, SWT.RADIO);
+		btnGuessLang = toolkit.createButton(sectionClient, TXMUIMessages.ImportDialog_16, SWT.RADIO);
 		toolkit.createLabel(sectionClient, ""); //$NON-NLS-1$
 
-		btnSelectLang = toolkit.createButton(sectionClient, RCPMessages.ImportDialog_22, SWT.RADIO);
+		btnSelectLang = toolkit.createButton(sectionClient, TXMUIMessages.ImportDialog_22, SWT.RADIO);
 
 		langcombo = new Combo(sectionClient, SWT.BORDER);
 		TableWrapData gdata = getTextGridData();
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/TextualPlansSection.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/TextualPlansSection.java	(revision 686)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/TextualPlansSection.java	(revision 687)
@@ -11,7 +11,7 @@
 import org.eclipse.ui.forms.widgets.TableWrapData;
 import org.eclipse.ui.forms.widgets.TableWrapLayout;
 import org.txm.objects.BaseParameters;
-import org.txm.rcp.RCPMessages;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.w3c.dom.Element;
 
 public class TextualPlansSection extends ImportEditorSection {
@@ -25,7 +25,7 @@
 	public TextualPlansSection(FormToolkit toolkit2, ScrolledForm form2, Composite parent, int style) {
 		super(toolkit2, form2, parent, style);
 
-		this.section.setText(RCPMessages.TextualPlansSection_title);
+		this.section.setText(TXMUIMessages.TextualPlansSection_title);
 		TableWrapLayout layout = new TableWrapLayout();
 		layout.makeColumnsEqualWidth = true;
 		this.section.setLayout(layout);
@@ -43,16 +43,16 @@
 		sectionClient.setLayout(slayout);
 		this.section.setClient(sectionClient);
 		
-		Label tmpLabel = toolkit.createLabel(sectionClient, RCPMessages.TextualPlansSection_outsidetext_label);
-		tmpLabel.setToolTipText(RCPMessages.TextualPlansSection_outsidetext_tooltip);
+		Label tmpLabel = toolkit.createLabel(sectionClient, TXMUIMessages.TextualPlansSection_outsidetext_label);
+		tmpLabel.setToolTipText(TXMUIMessages.TextualPlansSection_outsidetext_tooltip);
 		tmpLabel.setLayoutData(getLabelGridData());
 		
 		outsideTextElementsText = toolkit.createText(sectionClient, "teiHeader", SWT.BORDER); //$NON-NLS-1$
 		TableWrapData gdata = getTextGridData();
 		outsideTextElementsText.setLayoutData(gdata);
 		
-		Label tmpLabel2 = toolkit.createLabel(sectionClient, RCPMessages.TextualPlansSection_outsidetexttoedit_label);
-		tmpLabel2.setToolTipText(RCPMessages.TextualPlansSection_outsidetexttoedit_tooltip);
+		Label tmpLabel2 = toolkit.createLabel(sectionClient, TXMUIMessages.TextualPlansSection_outsidetexttoedit_label);
+		tmpLabel2.setToolTipText(TXMUIMessages.TextualPlansSection_outsidetexttoedit_tooltip);
 		tmpLabel2.setLayoutData(getLabelGridData());
 
 		outsideTextElementsToEditText = toolkit.createText(sectionClient, "", SWT.BORDER); //$NON-NLS-1$
@@ -67,8 +67,8 @@
 		gdata = getTextGridData();
 		noteElementsText.setLayoutData(gdata);
 		
-		Label tmpLabel4 = toolkit.createLabel(sectionClient, RCPMessages.TextualPlansSection_milestone_label);
-		tmpLabel4.setToolTipText(RCPMessages.TextualPlansSection_milestone_tooltip);
+		Label tmpLabel4 = toolkit.createLabel(sectionClient, TXMUIMessages.TextualPlansSection_milestone_label);
+		tmpLabel4.setToolTipText(TXMUIMessages.TextualPlansSection_milestone_tooltip);
 		tmpLabel4.setLayoutData(getLabelGridData());
 
 		milestoneElementsText = toolkit.createText(sectionClient, "", SWT.BORDER); //$NON-NLS-1$
@@ -96,7 +96,7 @@
 			if (milestonesElement != null)
 				milestoneElementsText.setText(milestonesElement.getTextContent());
 		} else {
-			System.out.println(RCPMessages.TextualPlansSection_update_error);
+			System.out.println(TXMUIMessages.TextualPlansSection_update_error);
 		}
 	}
 
@@ -120,7 +120,7 @@
 				Element milestonesElement = params.getMilestonesElement();
 				milestonesElement.setTextContent(milestoneElementsText.getText().trim());
 			} else {
-				System.out.println(RCPMessages.TextualPlansSection_save_error);
+				System.out.println(TXMUIMessages.TextualPlansSection_save_error);
 				return false;
 			}
 			return true;
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/EncodingSection.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/EncodingSection.java	(revision 686)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/EncodingSection.java	(revision 687)
@@ -16,7 +16,7 @@
 import org.eclipse.ui.forms.widgets.TableWrapData;
 import org.eclipse.ui.forms.widgets.TableWrapLayout;
 import org.txm.objects.BaseParameters;
-import org.txm.rcp.RCPMessages;
+import org.txm.rcp.messages.TXMUIMessages;
 
 public class EncodingSection extends ImportEditorSection {
 	
@@ -29,7 +29,7 @@
 	public EncodingSection(FormToolkit toolkit2, ScrolledForm form2, Composite parent, int style) {
 		super(toolkit2, form2, parent, style);
 		
-		this.section.setText(RCPMessages.MainPage_23);
+		this.section.setText(TXMUIMessages.MainPage_23);
 		TableWrapLayout layout = new TableWrapLayout();
 		layout.makeColumnsEqualWidth = true;
 		layout.numColumns = 1;
@@ -52,12 +52,12 @@
 		btnGuessEncoding = toolkit.createButton(sectionClient, "", SWT.RADIO); //$NON-NLS-1$
 		TableWrapData td = getButtonLayoutData();
 		btnGuessEncoding.setLayoutData(td);
-		btnGuessEncoding.setText(RCPMessages.ImportDialog_16);
+		btnGuessEncoding.setText(TXMUIMessages.ImportDialog_16);
 		toolkit.createLabel(sectionClient, ""); //$NON-NLS-1$
 
 		btnSelectEncoding = toolkit.createButton(sectionClient, "", SWT.RADIO); //$NON-NLS-1$
 		btnSelectEncoding.setLayoutData(getButtonLayoutData());
-		btnSelectEncoding.setText(RCPMessages.ImportDialog_22);
+		btnSelectEncoding.setText(TXMUIMessages.ImportDialog_22);
 
 		encodingCombo = new Combo(sectionClient, SWT.BORDER);
 		TableWrapData gdata = getTextGridData();
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/FontSection.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/FontSection.java	(revision 686)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/FontSection.java	(revision 687)
@@ -13,7 +13,7 @@
 import org.eclipse.ui.forms.widgets.TableWrapData;
 import org.eclipse.ui.forms.widgets.TableWrapLayout;
 import org.txm.objects.BaseParameters;
-import org.txm.rcp.RCPMessages;
+import org.txm.rcp.messages.TXMUIMessages;
 
 public class FontSection extends ImportEditorSection {
 	
@@ -25,7 +25,7 @@
 	public FontSection(FormToolkit toolkit2, ScrolledForm form2, Composite parent, int style) {
 		super(toolkit2, form2, parent, style);
 
-		this.section.setText(RCPMessages.CorpusPage_3);
+		this.section.setText(TXMUIMessages.CorpusPage_3);
 		TableWrapLayout layout = new TableWrapLayout();
 		layout.makeColumnsEqualWidth = true;
 		this.section.setLayout(layout);
@@ -45,7 +45,7 @@
 		sectionClient.setLayout(slayout);
 		this.section.setClient(sectionClient);
 
-		Label l = toolkit.createLabel(sectionClient, RCPMessages.CorpusPage_57, SWT.WRAP);
+		Label l = toolkit.createLabel(sectionClient, TXMUIMessages.CorpusPage_57, SWT.WRAP);
 		l.setLayoutData(new TableWrapData(TableWrapData.LEFT, TableWrapData.MIDDLE));
 
 		fontCombo = new Combo(sectionClient, SWT.BORDER);
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/TokenizerSection.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/TokenizerSection.java	(revision 686)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/TokenizerSection.java	(revision 687)
@@ -17,8 +17,8 @@
 import org.eclipse.ui.forms.widgets.TableWrapData;
 import org.eclipse.ui.forms.widgets.TableWrapLayout;
 import org.txm.objects.BaseParameters;
-import org.txm.rcp.RCPMessages;
 import org.txm.rcp.editors.imports.ImportModuleCustomization;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.tokenizer.TokenizerClasses;
 import org.w3c.dom.Element;
 import org.w3c.dom.NodeList;
@@ -40,7 +40,7 @@
 	public TokenizerSection(FormToolkit toolkit2, ScrolledForm form2, Composite parent, int style, HashMap<String, Boolean> moduleParams) {
 		super(toolkit2, form2, parent, style);
 		this.moduleParams = moduleParams;
-		this.section.setText(RCPMessages.MainPage_19);
+		this.section.setText(TXMUIMessages.MainPage_19);
 		TableWrapLayout layout = new TableWrapLayout();
 		layout.makeColumnsEqualWidth = true;
 		this.section.setLayout(layout);
@@ -86,13 +86,13 @@
 			public void widgetDefaultSelected(SelectionEvent e) { }
 		});
 		
-		Label l0 = toolkit.createLabel(sectionClient, RCPMessages.CorpusPage_16a, SWT.WRAP);
+		Label l0 = toolkit.createLabel(sectionClient, TXMUIMessages.CorpusPage_16a, SWT.WRAP);
 		gdata = new TableWrapData(TableWrapData.LEFT, TableWrapData.FILL);
 		gdata.colspan = 3;
 		gdata.indent = 10;
 		l0.setLayoutData(gdata);
 		
-		Label l1 = toolkit.createLabel(sectionClient, RCPMessages.CorpusPage_5, SWT.WRAP);
+		Label l1 = toolkit.createLabel(sectionClient, TXMUIMessages.CorpusPage_5, SWT.WRAP);
 		gdata = new TableWrapData(TableWrapData.LEFT, TableWrapData.FILL);
 		gdata.colspan = 2;
 		gdata.indent = 20;
@@ -102,7 +102,7 @@
 		gdata = getLongTextGridData();
 		textWhiteSpaces.setLayoutData(gdata);
 		
-		Label l2 = toolkit.createLabel(sectionClient, RCPMessages.CorpusPage_16, SWT.WRAP);
+		Label l2 = toolkit.createLabel(sectionClient, TXMUIMessages.CorpusPage_16, SWT.WRAP);
 		gdata = new TableWrapData(TableWrapData.LEFT, TableWrapData.FILL);
 		gdata.colspan = 2;
 		gdata.indent = 20;
@@ -112,7 +112,7 @@
 		gdata = getLongTextGridData();
 		textPuncts.setLayoutData(gdata);
 
-		Label l4 = toolkit.createLabel(sectionClient, RCPMessages.CorpusPage_19, SWT.WRAP);
+		Label l4 = toolkit.createLabel(sectionClient, TXMUIMessages.CorpusPage_19, SWT.WRAP);
 		gdata = new TableWrapData(TableWrapData.LEFT, TableWrapData.FILL);
 		gdata.colspan = 2;
 		gdata.indent = 10;
@@ -122,7 +122,7 @@
 		gdata = getLongTextGridData();
 		textElisions.setLayoutData(gdata);
 
-		Label l3 = toolkit.createLabel(sectionClient, RCPMessages.CorpusPage_22, SWT.WRAP);
+		Label l3 = toolkit.createLabel(sectionClient, TXMUIMessages.CorpusPage_22, SWT.WRAP);
 		gdata = new TableWrapData(TableWrapData.LEFT, TableWrapData.FILL);
 		gdata.colspan = 2;
 		gdata.indent = 10;
@@ -132,7 +132,7 @@
 		gdata = getLongTextGridData();
 		textPunctsStrong.setLayoutData(gdata);
 
-		Button defaultBtn = toolkit.createButton(sectionClient, RCPMessages.CorpusPage_49, SWT.PUSH);
+		Button defaultBtn = toolkit.createButton(sectionClient, TXMUIMessages.CorpusPage_49, SWT.PUSH);
 		gdata = new TableWrapData(TableWrapData.LEFT, TableWrapData.FILL);
 		gdata.colspan = 2;
 		gdata.indent = 10;
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/EditionSection.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/EditionSection.java	(revision 686)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/EditionSection.java	(revision 687)
@@ -20,8 +20,8 @@
 import org.txm.Toolbox;
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.objects.BaseParameters;
-import org.txm.rcp.RCPMessages;
 import org.txm.rcp.editors.imports.ImportModuleCustomization;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.swt.dialog.LastOpened;
 import org.w3c.dom.Element;
 
@@ -48,7 +48,7 @@
 	public EditionSection(FormToolkit toolkit2, ScrolledForm form2, Composite parent, int style, HashMap<String, Boolean> moduleParams, String scriptName) {
 		super(toolkit2, form2, parent, style);
 
-		this.section.setText(RCPMessages.CorpusPage_0);
+		this.section.setText(TXMUIMessages.CorpusPage_0);
 		TableWrapLayout layout = new TableWrapLayout();
 		layout.makeColumnsEqualWidth = true;
 		layout.numColumns = 1;
@@ -70,7 +70,7 @@
 
 
 		// build text edition or not button
-		buildEditionCheckButton = toolkit.createButton(sectionClient, RCPMessages.CorpusPage_44, SWT.CHECK);
+		buildEditionCheckButton = toolkit.createButton(sectionClient, TXMUIMessages.CorpusPage_44, SWT.CHECK);
 		buildEditionCheckButton.setSelection(true);
 		TableWrapData gdata2 = getButtonLayoutData();
 		gdata2.colspan = 4; // one line
@@ -79,7 +79,7 @@
 		// words per page -> pageSize
 		Label tmpLabel = null;
 		if (moduleParams.get(ImportModuleCustomization.EDITIONS_WORDSPERPAGE)) {
-			tmpLabel = toolkit.createLabel(sectionClient, RCPMessages.CorpusPage_36);
+			tmpLabel = toolkit.createLabel(sectionClient, TXMUIMessages.CorpusPage_36);
 			tmpLabel.setLayoutData(getLabelGridData());
 
 			wordsPerPageText = toolkit.createText(sectionClient, "500", SWT.BORDER); //$NON-NLS-1$
@@ -89,7 +89,7 @@
 
 		if (moduleParams.get(ImportModuleCustomization.EDITIONS_PAGEELEMENT)) {
 			// page break tag
-			tmpLabel = toolkit.createLabel(sectionClient, RCPMessages.CorpusPage_41);
+			tmpLabel = toolkit.createLabel(sectionClient, TXMUIMessages.CorpusPage_41);
 			tmpLabel.setLayoutData(getLabelGridData());
 			pageBreakText = toolkit.createText(sectionClient, "pb", SWT.BORDER); //$NON-NLS-1$
 			TableWrapData gdata = getTextGridData();
